com.r3corda.contracts / CommercialPaperLegacy

# CommercialPaperLegacy

`class CommercialPaperLegacy : Contract`

### Types

Commands | `interface Commands : CommandData`
State | `data class State : OwnableState`

### Constructors

<init> | `CommercialPaperLegacy()`

### Properties

legalContractReference | `val legalContractReference: SecureHash` Unparsed reference to the natural language contract that this code is supposed to express (usually a hash of the contracts contents).

### Functions

generateIssue | `fun generateIssue(issuance: PartyAndReference, faceValue: Amount<Issued<Currency>>, maturityDate: Instant, notary: Party): TransactionBuilder`
generateMove | `fun generateMove(tx: TransactionBuilder, paper: StateAndRef<State>, newOwner: PublicKey): Unit`
generateRedeem | `fun generateRedeem(tx: TransactionBuilder, paper: StateAndRef<State>, vault: Vault): Unit`
verify | `fun verify(tx: TransactionForContract): Unit` Takes an object that represents a state transition, and ensures the inputs/outputs/commands make sense. Must throw an exception if theres a problem that should prevent state transition. Takes a single object rather than an argument so that additional data can be added without breaking binary compatibility with existing contract code.